Package fr.gouv.vitam.functional.administration.rest

# Class AdminOntologyResource

java.lang.Object
fr.gouv.vitam.functional.administration.rest.AdminOntologyResource

@Path("/v1/admin") public class AdminOntologyResource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ADMIN_TENANT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminOntologyResource(OntologyResource ontologyResource, OntologyService ontologyService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `checkOntologies(List<OntologyModel> ontologyModelList, jakarta.ws.rs.core.UriInfo uri)`
  `jakarta.ws.rs.core.Response`
  `findOntologies(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `jakarta.ws.rs.core.Response`
  `findOntologiesForCache(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `jakarta.ws.rs.core.Response`
  `importInternalOntologies(List<OntologyModel> ontologyModelList, jakarta.ws.rs.core.UriInfo uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ADMIN_TENANT

    public static final int ADMIN_TENANT

- ## Constructor Details

  - ### AdminOntologyResource

    public AdminOntologyResource(OntologyResource ontologyResource, OntologyService ontologyService)
    Parameters:
      `ontologyResource` -

- ## Method Details

  - ### importInternalOntologies

    @Path("/ontologies") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response importInternalOntologies(List<OntologyModel> ontologyModelList, @Context jakarta.ws.rs.core.UriInfo uri)

  - ### findOntologies

    @Path("/ontologies") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findOntologies(com.fasterxml.jackson.databind.JsonNode queryDsl)

  - ### findOntologiesForCache

    @Path("/ontologies/cache") @GET @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findOntologiesForCache(com.fasterxml.jackson.databind.JsonNode queryDsl)

  - ### checkOntologies

    @Path("/ontologies/check") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response checkOntologies(List<OntologyModel> ontologyModelList, @Context jakarta.ws.rs.core.UriInfo uri)